# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name unordered-containers

%global common_summary Efficient hashing-based container types

%global common_description Efficient hashing-based container types. The containers have been optimized\
for performance critical use, both in terms of large data quantities and\
high speed.  The declared cost of each operation is either worst-case or\
amortized, but remains valid even if structures are shared.

Name:           ghc-%{pkg_name}
Version:        0.2.1.0
Release:        1%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  ghc-deepseq-prof
BuildRequires:  ghc-hashable-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Wed Jun 13 2012 Jens Petersen <petersen@redhat.com> - 0.2.1.0-1
- update to 0.2.1.0

* Fri Mar 23 2012 Jens Petersen <petersen@redhat.com> - 0.1.4.6-3
- add license to ghc_files

* Thu Mar  8 2012 Jens Petersen <petersen@redhat.com> - 0.1.4.6-2
- rebuild

* Thu Jan  5 2012 Jens Petersen <petersen@redhat.com> - 0.1.4.6-1
- update to 0.1.4.6 and cabal2spec-0.25.2

* Wed Nov 23 2011 Jens Petersen <petersen@redhat.com> - 0.1.4.3-1
- BSD license
- depends on deepseq and hashable

* Wed Nov 23 2011 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org>
- initial packaging for Fedora automatically generated by cabal2spec-0.24.1
